org.apache.maven.project.artifact

## Class ProjectArtifactFactory

- java.lang.Object
- - org.apache.maven.artifact.factory.DefaultArtifactFactory
  - - org.apache.maven.project.artifact.ProjectArtifactFactory

- All Implemented Interfaces:
    ArtifactFactory

      public class ProjectArtifactFactory
      extends DefaultArtifactFactory

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.factory.ArtifactFactory

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectArtifactFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `create(MavenProject project)`
    `Artifact` | `create(MavenProject project, java.lang.String type, java.lang.String classifier, boolean optional)`

    - ### Methods inherited from class org.apache.maven.artifact.factory.DefaultArtifactFactory

      `createArtifact, createArtifactWithClassifier, createBuildArtifact, createDependencyArtifact, createDependencyArtifact, createDependencyArtifact, createDependencyArtifact, createExtensionArtifact, createParentArtifact, createPluginArtifact, createProjectArtifact, createProjectArtifact, getArtifactHandlerManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectArtifactFactory

          public ProjectArtifactFactory()

  - ### Method Detail

    - #### create

          public Artifact create(MavenProject project)

    - #### create

          public Artifact create(MavenProject project,
                        java.lang.String type,
                        java.lang.String classifier,
                        boolean optional)